<?php
namespace app\cms\controller;

use app\common\controller\Front;

class Detail extends Front
{
    public function _initialize()
    {
        //请求验证
        if( !cmsRequestCheck($this->request->ip(),$this->request->header('user-agent')) ){
            $this->error(lang('cmsErrorRest'), 'cms/index/index');
        }
        // 继承上级
        parent::_initialize();
    }

    public function index()
    {
        return $this->detail();
    }
    
    //空操作
    public function _empty($action='')
    {
        //扩展开关
        if(!config('cms.action_name')){
            $this->error(lang('cmsErrorParams'));
        }
        //允许的操作名
        if(!in_array($action,explode(',',config('cms.action_name')))){
            $this->error(lang('cmsErrorParams'));
        }
        //查询数据
        return $this->detail();
    }
    
    //内容详情
    private function detail()
    {
        //参数判断
        if( isset($this->query['id']) ){
            $info = cmsGetId($this->query['id']);
        }elseif( isset($this->query['slug']) ){
            $info = cmsGetSlug($this->query['slug'], true, 'normal', $this->site['action']);
        }elseif( isset($this->query['name']) ){
            $info = cmsGetName($this->query['name'], true, 'normal', $this->site['action']);
        }else{
            abort(404);
        }
        //数据判断
        if(!$info){
            abort(404);
        }
        //分类判断
        if($this->query['termId']){
            if(!in_array($this->query['termId'],$info['category_id'])){
                abort(404);
            }
        }
        if($this->query['termSlug']){
            if(!in_array($this->query['termSlug'],$info['category_slug'])){
                abort(404);
            }
        }
        if($this->query['termName']){
            if(!in_array($this->query['termName'],$info['category_slug'])){
                abort(404);
            }
        }
        //SEO标签
        $info['seoTitle'] = cmsSeo(DcEmpty($info['info_title'],$info['info_name']));
        $info['seoDescription'] = cmsSeo(DcEmpty($info['info_description'],$info['info_excerpt']));
        $info['seoKeywords'] = cmsSeo(DcEmpty($info['info_keywords'],DcEmpty(implode(',',$info['tag_name']),$info['info_name'])));
        //分享链接
        if(DcBool(config('common.app_domain'))){
            $info['info_share_url'] = cmsUrlDetail($info);
        }else{
            $info['info_share_url'] = $this->request->root(true).cmsUrlDetail($info);
        }
        //增加人气值
        cmsInfoInc($info['info_id'],'info_views');
        //主分类
        $term = current($info['category']);
        //变量赋值
        $this->assign($info);
        //主分类赋值
        $this->assign($term);
        //自定义详情模板
        if($info['cms_tpl']){
            return $this->fetch($info['cms_tpl']);
        }
        //继承主分类模板
        if($term['term_id'] && config('cms.term_tpl')){
            $termInfoTpl = db('term_meta')->cache(true)->where('term_id',$term['term_id'])->where('term_meta_key','term_info_tpl')->value('term_meta_value');
            if($termInfoTpl){
                return $this->fetch($termInfoTpl);
            }
        }
        //默认加载
        return $this->fetch($info['info_type']);
    }
}