{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}"  />
<meta name="referrer" content="never">
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <ol class="breadcrumb bg-white mb-3">
    <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index')}">首页</a></li>
    {if $category_name}
    <li class="breadcrumb-item"><a href="{:cmsUrlCategory(reset($category))}">{:reset($category_name)}</a></li>
    {/if}
    <li class="breadcrumb-item active">{$info_name}</li>
  </ol>
  {assign name="images" value=":cmsImagePreg($info_content)"}
  <div class="row" data-masonry='{"percentPosition": true}'>
    <div class="col-sm-6 col-lg-4 mb-4">
      <div class="card">
        <div class="card-body">
          <h5 class="card-title">{$info_name}</h5>
          <p class="card-text">{$info_excerpt|DcStrip}</p>
          <p class="card-text"><small class="text-muted">{$info_create_time}</small></p>
        </div>
      </div>
    </div>
    {volist name="images" id="image" offset="0" length="30"}
    <div class="col-sm-6 col-lg-4 mb-4">
      <div class="card">
        <img class="bd-placeholder-img card-img-top" width="100%" src="{$image}" alt="{$info_name}">
        <div class="card-body mb-0">
          <h5 class="card-title">{$info_name}</h5>
        </div>
      </div>
    </div>
    {/volist}
  </div>
  <div class="bg-white border-bottom px-0 px-md-5 mb-3">
    <div class="card-body">
      <section class="lead content mb-2">{$info_content|DcStrip='<p>,<a>,<strong>,<font>'}</section>
      <p class="lead text-center">
        <a class="btn btn-lg btn-purple px-4" href="{:cmsUrl('cms/value/up',['id'=>$info_id])}" data-toggle="infoUp">
          <i class="fa fa-thumbs-o-up"></i>
          <small class="infoUpValue">{$cms_up|number_format}</small>
        </a>
      </p>
    </div>
    <div class="w-100 d-inline d-md-flex justify-content-md-between">
      <p class="px-3">{volist name=":cmsPrev($info_id,1,['type'=>'album'])" id="cms"}上一篇：<a href="{:cmsUrlDetail($cms)}" title="{$cms.info_name}">{$cms.info_name|cmsSubstr=0,18}</a>{/volist}</p>
      <p class="px-3">{volist name=":cmsNext($info_id,1,['type'=>'album'])" id="cms"}下一篇：<a href="{:cmsUrlDetail($cms)}" title="{$cms.info_name}">{$cms.info_name|cmsSubstr=0,18}</a>{/volist}</p>
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}