{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}"  />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <div class="row">
    <div class="col-12 col-md-9 mb-3 mb-md-0">
      <ol class="breadcrumb bg-white mb-3">
        <li class="breadcrumb-item"><a href="{:cmsUrl('cms/index/index')}">首页</a></li>
        {if $category_name}
        <li class="breadcrumb-item"><a href="{:cmsUrlCategory(reset($category))}">{:reset($category_name)}</a></li>
        {/if}
        <li class="breadcrumb-item active">正文</li>
      </ol>
      <div class="bg-white border-bottom mb-3">
        <div class="card-body">
          <h1 class="h2 py-2">{$info_name|DcHtml}</h1>
          <p>{$info_create_time}
            {foreach name="category" item="item"}
            <a class="ml-1 text-purple" href="{:cmsUrlCategory($item)}">{$item.term_name}</a>
            {/foreach}
            {foreach name="tag" item="item"}
            <a class="ml-1 text-purple" href="{:cmsUrlTag($item)}">{$item.term_name}</a>
            {/foreach}
          </p>
          {if $cms_cover}
          <p><img class="d-block img-fluid mx-auto rounded" src="{$cms_cover|DcUrlAttachment}" alt="{$info_name|DcHtml}"/></p>
          {/if}
          <section class="lead content mb-2">{$info_content|cmsEditor}</section>
          <p class="lead text-center">
            <a class="btn btn-lg btn-purple px-4" href="{:cmsUrl('cms/value/up',['id'=>$info_id])}" data-toggle="infoUp">
              <i class="fa fa-thumbs-o-up"></i>
              <small class="infoUpValue">{$cms_up|number_format}</small>
            </a>
          </p>
          <p class="text-muted">作者：{$user_name}</p>
          <p class="text-muted text-truncate">链接：{$info_share_url}</p>
          <p class="text-muted">来源：{:config('common.site_name')}</p>
          <p class="text-muted mb-0">著作权归作者所有。商业转载请联系作者获得授权，非商业转载请注明出处。</p>
        </div>
        <p class="px-3 text-truncate">{volist name=":cmsPrev($info_id,1,['action'=>'index'])" id="cms"}上一篇：<a href="{:cmsUrlDetail($cms)}" title="{$cms.info_name}">{$cms.info_name|DcHtml}</a>{/volist}</p>
        <p class="px-3 text-truncate">{volist name=":cmsNext($info_id,1,['action'=>'index'])" id="cms"}下一篇：<a href="{:cmsUrlDetail($cms)}" title="{$cms.info_name}">{$cms.info_name|DcHtml}</a>{/volist}</p>
      </div>
      <!---->
      <div class="card border-0 rounded-0">
        <div class="card-header bg-light h6">
          <a class="text-purple" href="{:DcUrl('cms/page/views')}">热门文章</a>
        </div>
        <ul class="list-unstyled card-body py-1 mb-0">
          {volist name=":cmsSelect(['status'=>'normal','limit'=>20,'term_id'=>$term_id,'sort'=>'info_views','order'=>'desc','field'=>'info_name,info_slug,info_action,info_views'])" id="cms"}
          <li class="py-2 text-truncate d-flex flex-row justify-content-between align-items-center">
            <a href="{:cmsUrlDetail($cms)}">{$cms.info_name|DcHtml}</a>
            <small class="text-muted">{$cms.info_views|number_format}</small>
          </li>
          {/volist}
        </ul>
      </div>
    </div>
    <div class="col-12 col-md-3">{include file="widget/sitebar" /}</div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}