{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}" />
{/block}
<!-- -->
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
<div class="row">
  <!---->
  <div class="col-12">
    <ol class="breadcrumb bg-white mb-3">
      <li class="breadcrumb-item"><a href="{:DcUrl('cms/index/index')}">首页</a></li>
      <li class="breadcrumb-item"><a href="{$pageReset}">重置条件</a></li>
      <li class="breadcrumb-item active">{$term_name|default='按条件筛选'}</li>
    </ol>
    <div class="w-100 bg-white rounded px-3 pt-3 pb-1 mb-3">
      <p><strong>栏目分类：</strong>
        <a class="mx-1 badge badge-pill {:DcDefault($term_id, 0, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['term_id'=>0]))}">全部</a>
        {volist name="termIds" id="filterTermName" offset="0" length="30"}
        <a class="mx-1 badge badge-pill {:DcDefault($key, $term_id, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['term_id'=>$key]))}">{$filterTermName}</a>{/volist}
      </p>
      <p><strong>文章类型：</strong>
        <a class="mx-1 badge badge-pill {:DcDefault($info_type, NULL, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['info_type'=>'']))}">全部</a>
        {volist name="types" id="filterControll" offset="0" length="10"}
        <a class="mx-1 badge badge-pill {:DcDefault($key, $info_type, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['info_type'=>$key]))}">{$filterControll}</a>
        {/volist}
      </p>
      <p><strong>每页数量：</strong>{volist name="pageSizes" id="filterSize" offset="0" length="10"}
        <a class="mx-1 badge badge-pill {:DcDefault($key, $pageSize, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['pageSize'=>$key]))}">{$filterSize}</a>
        {/volist}
      </p>
      <p><strong>排序字段：</strong>{volist name="sortNames" id="filterName" offset="0" length="10"}
        <a class="mx-1 badge badge-pill {:DcDefault($key, $sortName, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['sortName'=>$key]))}">{$filterName}</a>
        {/volist}
      </p>
      <p><strong>排序方式：</strong>{volist name="sortOrders" id="filterOrder" offset="0" length="10"}
        <a class="mx-1 badge badge-pill {:DcDefault($key, $sortOrder, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['sortOrder'=>$key]))}">{$filterOrder}</a>
        {/volist}
      </p>
    </div>
    {empty name="data"}<p class="bg-white p-3">暂无内容</p>{/empty}
    {volist name="data" id="cms"}
      {include file="widget/list" /}
    {/volist}
    <!---->
    {if $page_list}
    <div class="rounded bg-white pt-3 mt-3 shadow-sm d-flex justify-content-center">
      {$page_list}
    </div>
    {/if}
  </div>
  <!---->
</div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}