{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}" />
{/block}
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <ol class="breadcrumb bg-white mb-0 border-bottom">
    <li class="breadcrumb-item">
      <i class="fa fa-home text-purple"></i>
      <a href="{:cmsUrl('cms/index/index')}">首页</a>
    </li>
    {if $category_name}
    <li class="breadcrumb-item"><a href="{:cmsUrlCategory(reset($category))}">{:reset($category_name)}</a></li>
    {/if}
    <li class="breadcrumb-item active">正文</li>
  </ol>
  <div class="bg-white p-3 mb-2">
      <h1 class="h4 mb-2">{$info_name|DcHtml}</h1>
      <p class="text-muted mb-2">{$info_create_time}
        {foreach name="category" item="item"}
        <a class="ml-1 text-purple" href="{:cmsUrlCategory($item)}">{$item.term_name}</a>
        {/foreach}
        {foreach name="tag" item="item" offset="0" length="6"}
        <a class="ml-1 text-purple" href="{:cmsUrlTag($item)}">{$item.term_name|cmsSubstr=0,6,false}</a>
        {/foreach}
      </p>
      {if $cms_cover}
      <p class="my-1"><img class="d-block img-fluid mx-auto rounded" src="{$cms_cover|DcUrlAttachment}" alt="{$info_name|DcHtml}"/></p>
      {/if}
      <section class="info-content mb-2">{$info_content|cmsEditor}</section>
      <p class="text-center">
        <a class="btn btn-purple" href="{:cmsUrl('cms/value/up',['id'=>$info_id])}" data-toggle="infoUp">
          <i class="fa fa-thumbs-o-up"></i>
          <small class="infoUpValue">{$cms_up|number_format}</small>
        </a>
      </p>
      <p class="text-muted">作者：{$user_name}</p>
      <p class="text-muted text-truncate">链接：{$info_share_url}</p>
      <p class="text-muted">来源：{:config('common.site_name')}</p>
      <p class="text-muted mb-0">商业转载请联系作者获得授权，非商业转载请注明出处。</p>
  </div>
  {if $dataPrev = cmsPrev($info_id,1,['action'=>'index'])}
  <p class="bg-white mb-2 px-3 py-2">{volist name="dataPrev" id="cms"}<strong>上一篇：</strong><a class="text-purple" href="{:cmsUrlDetail($cms)}" title="{$cms.info_name}">{$cms.info_name|DcHtml}</a>{/volist}</p>
  {/if}
  {if $dataNext = cmsNext($info_id,1,['action'=>'index'])}
  <p class="bg-white mb-2 px-3 py-2">{volist name="dataNext" id="cms"}<strong>下一篇：</strong><a class="text-purple" href="{:cmsUrlDetail($cms)}" title="{$cms.info_name}">{$cms.info_name|DcHtml}</a>{/volist}</p>
  {/if}
  <div class="card border-0 rounded-0 mb-2">
    <div class="card-header bg-white">
      <i class="fa fa-fw fa-navicon text-purple"></i>
      <a href="{:DcUrl('cms/page/news')}">最新</a>
    </div>
    <div class="card-body row pb-0 mb-0">
      {volist name=":cmsSelect(['status'=>'normal','limit'=>20,'term_id'=>$term_id,'sort'=>'detail_id','order'=>'desc','field'=>'info_name,info_slug,info_action,info_create_time'])" id="cms"}
      {include file="widget/item" /}
      {/volist}
    </div>
  </div>
</div>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}