{extend name="apps/common/view/front.tpl" /}
<!-- -->
{block name="header_meta"}
<title>{$seoTitle}－{:config('common.site_name')}</title>
<meta name="keywords" content="{$seoKeywords}" />
<meta name="description" content="{$seoDescription}" />
{/block}
{block name="header_more"}<script src="{:DcUrlJs($domain,$path_root.'public/js/front.js',true)}"></script>{/block}
<!-- -->
{block name="header"}{include file="widget/header" /}{/block}
<!--main -->
{block name="main"}
<div class="container">
  <ol class="breadcrumb bg-white mb-2">
    <li class="breadcrumb-item">
      <i class="fa fa-home text-purple"></i>
     <a href="{:DcUrl('cms/index/index')}">首页</a>
    </li>
    <li class="breadcrumb-item"><a href="{$pageReset}">重置条件</a></li>
    <li class="breadcrumb-item active">{$term_name|default='按条件筛选'}</li>
  </ol>
  <div class="w-100 bg-white px-3 pt-3 pb-1 mb-2">
    <div class="mb-3 d-flex flex-row">
      <div class="filter-left"><strong>栏目分类</strong></div>
      <div class="filter-right" data-toggle="carousel">
        <a class="carousel-cell mx-1 badge badge-pill {:DcDefault($term_id, 0, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['term_id'=>0]))}">全部</a>
        {volist name="termIds" id="filterTermName" offset="0" length="30"}
        <a class="carousel-cell mx-1 badge badge-pill {:DcDefault($key, $term_id, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['term_id'=>$key]))}">{$filterTermName}</a>{/volist}
      </div>
    </div>
    <div class="mb-3 d-flex flex-row">
      <div class="filter-left"><strong>每页数量</strong></div>
      <div class="filter-right">
        {volist name="pageSizes" id="filterSize" offset="0" length="10"}
        <a class="mx-1 badge badge-pill {:DcDefault($key, $pageSize, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['pageSize'=>$key]))}">{$filterSize}</a>
        {/volist}
      </div>
    </div>
    <div class="mb-3 d-flex flex-row">
      <div class="filter-left"><strong>排序字段</strong></div>
      <div class="filter-right">
        {volist name="sortNames" id="filterName" offset="0" length="10"}
        <a class="mx-1 badge badge-pill {:DcDefault($key, $sortName, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['sortName'=>$key]))}">{$filterName}</a>
        {/volist}
      </div>
    </div>
    <div class="mb-3 d-flex flex-row">
      <div class="filter-left"><strong>排序方式</strong></div>
      <div class="filter-right">
        {volist name="sortOrders" id="filterOrder" offset="0" length="10"}
        <a class="mx-1 badge badge-pill {:DcDefault($key, $sortOrder, 'badge-dark', 'badge-light')}" href="{:cmsUrlFilter(array_merge($pageFilter,['sortOrder'=>$key]))}">{$filterOrder}</a>
        {/volist}
      </div>
    </div>
    {empty name="data"}<p class="bg-white p-3">暂无内容</p>{/empty}
    <div class="row">
    {volist name="data" id="cms"}
      {include file="widget/item" /}
    {/volist}
    </div>
  </div>
  <!---->
  {if $page_list}
  <div class="bg-white pt-3 d-flex justify-content-center mt-2 mb-2">
    {$page_list}
  </div>
  {/if}
</div>
{/block}
<!-- -->
{block name="js"}
<script>
$(document).ready(function(){
    window.daicuo.carousel.init({
        friction: 0.2,
        percentPosition: true
    });
});
</script>
{/block}
<!-- -->
{block name="footer"}{include file="widget/footer" /}{/block}